## gnugk 2.2.7

=== docs/manual/Makefile ===
--- 
+++ 
@@ -18,5 +18,14 @@
 pdf-es:
 	cd es ; sgml2latex --language=es manual-es.sgml ; dvipdfm manual-es.dvi ; rm -f manual-es.dvi
 
+txt:
+	sgml2txt --charset=latin manual.sgml
+
+txt-fr:
+	cd fr ; sgml2txt --language=fr --charset=latin manual-fr.sgml
+
+txt-es:
+	cd es ; sgml2txt --language=es --charset=latin manual-es.sgml
+
 clean:
-	rm -f *.html *.pdf *.dvi fr/*.html fr/*.pdf fr/*.dvi es/*.html es/*.pdf es/*.dvi
+	rm -f *.html *.pdf *.dvi *.txt fr/*.html fr/*.pdf fr/*.dvi fr/[a-zA-Z]*.txt es/*.html es/*.pdf es/*.dvi es/*.txt
