=== debian/changelog ===
gnugk (2:2.3.2-3) unstable; urgency=low

  * Do not attempt to use dh_auto_install - override with $(MAKE)
    - fixes FTBFS

 -- Mark Purcell <msp@debian.org>  Sun, 06 Jun 2010 15:04:52 +1000

gnugk (2:2.3.2-2) unstable; urgency=low

  * Add Build-Depends: libsqlite3-dev (Closes: #573553)
  * Add Build-Depends: autoconf - fixes FTBFS i386
  * source/format -> 3.0 (quilt)
  * Update to Standards-Version: 3.8.4
  * Ack NMU (Thks Stefano)

 -- Mark Purcell <msp@debian.org>  Sun, 06 Jun 2010 09:07:24 +1000

gnugk (2:2.3.2-1) unstable; urgency=low

  * New upstream release (Closes: #573553)
  * Added Build-Depends: libh323plus-dev
  * configure --disable-unixodbc - unsupported API
  * Update gnugk.init.d - init.d-script-missing-dependency-on-remote_fs
  * Switch to debhelper 7
  * dh_installdocs -X.cvsignore

 -- Mark Purcell <msp@debian.org>  Sat, 05 Jun 2010 16:43:57 +1000

gnugk (2:2.3.0-4-1.1) unstable; urgency=low 

   * Non-maintainer upload.
   * Rebuild against firebird 2.1, change build-dep accordingly.
     (Closes: #564680)
   * Enlarge architecture list for the firebird build-dep adding armel,
     ia64, mips, mipsel, and s390 (as requested by Damyan Ivanov, firebird
     maintainer).

 -- Stefano Zacchiroli <zack@debian.org>  Sun, 21 Feb 2010 20:22:08 +0100

gnugk (2:2.3.0-4-1) unstable; urgency=low

  * New upstream release

  [ Kilian Krause ]
  * debian/copyright: Fix email address of author to jan@willamowius.de
    instead of jan@willamowius.com

 -- Mark Purcell <msp@debian.org>  Fri, 16 Oct 2009 23:00:07 +1100

gnugk (2:2.3.0-2-1) unstable; urgency=low

  * New upstream release
  * fix minor spelling-error-in-copyright
  * debian/compat -> 7
  * fix package-lacks-versioned-build-depends-on-debhelper 7

 -- Mark Purcell <msp@debian.org>  Sun, 26 Jul 2009 09:34:55 +1000

gnugk (2:2.2.8-2) unstable; urgency=low

  * Clarify debian/copyright - copyright-refers-to-versionless-license-file
  * Add lintian-overrides for possible-gpl-code-linked-with-openssl
  * Switch to cdbs
  * Use sf-get-source.mk rules

 -- Mark Purcell <msp@debian.org>  Mon, 23 Feb 2009 11:40:09 +1100

gnugk (2:2.2.8-1) unstable; urgency=low

  * New Upstream Release 

  [ Patrick Matthäi ]
  * Bumped Standards-Version to 3.8.0.
  * Removed some useless whitespaces at EOL in debian/control.

  [ Mark Purcell ]
  * Add debian/examples
  * Add debian/docs
  * Add debian/manpages
  * Cleanup debian/watch
  * Downgrade Build-Depends: libopenh323-dev (necessary for build)
    - Or H323Plus 1.20 (ITP needed)

 -- Mark Purcell <msp@debian.org>  Mon, 16 Feb 2009 21:52:49 +1100

gnugk (2:2.2.7-3-2) unstable; urgency=low

  * Re-enable SRV support that was disabled due to an upstream bug.
    Thanks to MESZAROS Mihaly. (Closes: #501030)

 -- Faidon Liambotis <paravoid@debian.org>  Fri, 03 Oct 2008 12:40:54 +0300

gnugk (2:2.2.7-3-1) unstable; urgency=low

  * New upstream release
  * debian/rules explicit test cases
  * Remove help2man - addpasswd.1 was next to useless

 -- Mark Purcell <msp@debian.org>  Mon, 23 Jun 2008 22:05:45 +1000

gnugk (2:2.2.7-1) unstable; urgency=low

  [ Faidon Liambotis ]
  * New upstream release.
    - Dropped new_firebird_api.dpatch as it was backported from upstream.
  * Bump Standards-Version to 3.7.3, no changes needed.
  * Fix get-orig-source target to use qa.debian.org's sourceforge redirect
    script.
  * Remove Build-Conflict to an ancient version of linux-kernel-headers.
  * Remove debian/backports/sarge; it's not supported anymore.
  * Depend on libopenh323-1.19.1-dev >= 1.19.1~ instead of >= 1.19.1~dfsg-1,
    fixes lintian warning.
  * Dropped dpatch entirely, since we have zero patches now.
  * Do not ship /usr/share/doc/gnugk/manual/.cvsignore.
  * Remove Conflicts/Replaces opengate and openh323gk since these are
    pre-sarge.
  * Remove Jose Carlos Garcia Sogo and Santiago Garcia Mantinan from
    Uploaders and add myself.

 -- Mark Purcell <msp@debian.org>  Tue, 22 Apr 2008 19:36:45 +1000

gnugk (2:2.2.6-7) unstable; urgency=high

  * Set high urgency for fixing RC bug.
  * Fix postinst - to complete move from preinst we need to switch from
    "install|upgrade" to "configure" as argument. (Closes: #454259, #454488)

 -- Kilian Krause <kilian@debian.org>  Wed,  5 Dec 2007 19:10:45 +0100

gnugk (2:2.2.6-6) unstable; urgency=low

  * Extremadura release ;-)
  * Rebuild to force libopenh323-1.19.1-dev transition

 -- Mark Purcell <msp@debian.org>  Fri, 30 Nov 2007 11:54:49 +0100

gnugk (2:2.2.6-4) unstable; urgency=low

  * debian/control: Replace GnomeMeeting with Ekiga.
  * Add Homepage field as added in dpkg-dev 1.14.6.
  * Build against openh323-titan as it's now available in Sid. (really fixes
    #381092)

 -- Kilian Krause <kilian@debian.org>  Mon, 15 Oct 2007 18:56:49 +0200

gnugk (2:2.2.6-3) unstable; urgency=low

  * Update to debian/compat use rather than setting in debian/rules.
  * Fix #440855 again: for some reason the B-D was still firebird2-dev

 -- Kilian Krause <kilian@debian.org>  Sun,  9 Sep 2007 23:04:24 +0200

gnugk (2:2.2.6-2) unstable; urgency=high

  * Fix debian/watch.
  * Update build-depends on firebird2.0-dev [amd64 i386 powerpc sparc
    kfreebsd-amd64 kfreebsd-i386] (Closes: #440855)
  * Fix postinst script to cope with configure. Adjust naming in error to
    "postinst" reflecting move in 2:2.2.5-3.1. (Closes: #440810)
  * Bump urgency due to fixing RC bugs.

 -- Kilian Krause <kilian@debian.org>  Thu, 06 Sep 2007 12:01:36 +0200

gnugk (2:2.2.6-1) unstable; urgency=low

  [ Mark Purcell ]
  * New upstream release
    - Authentication does not work in certain circumstances (Closes:
    #381092)
  * Ack NMU, Thanks Arjan (Closes: #408360)
  * Update debian/watch

  [ Kilian Krause ]
  * Backport fix for new Firebird API from CVS revision 1.5.2.1. (Fixes at
    least part of the FTBFS on i386 and amd64)
  * Compile against 1.18.0.dfsg-3 version of OpenH323 to overcome FTBFS
    (Closes: #436352)
  * Don't ignore make clean error.


