=== debian/control ===
Source: gnugk
Section: comm
Priority: optional
Maintainer: Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>
Uploaders: Kilian Krause <kilian@debian.org>, Mark Purcell <msp@debian.org>, Faidon Liambotis <paravoid@debian.org>
Build-Depends: debhelper (>= 7.0.50~), cdbs, autoconf,
 libh323plus-dev, libspeex-dev,
 libsdl1.2-dev,
 linuxdoc-tools,
 libmysql++-dev, firebird2.5-dev [amd64 armel i386 ia64 powerpc sparc kfreebsd-amd64 kfreebsd-i386 mips mipsel s390],
 libsqlite3-dev,
 libldap2-dev, libpq-dev
Standards-Version: 3.8.4
Homepage: http://www.gnugk.org/
Vcs-Svn: svn://svn.debian.org/pkg-voip/gnugk/trunk/
Vcs-Browser: http://svn.debian.org/wsvn/pkg-voip/gnugk/?op=log

Package: gnugk
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, adduser
Suggests: ekiga, ohphone, ohphone-basic, simph323
Description: OpenH323 Gatekeeper - The GNU Gatekeeper
 GNU Gatekeeper is an open-source project that implements an H.323
 gatekeeper. A gatekeeper provides call control services to the
 H.323 endpoints. It is an integral part of most useful internet
 telephony installations that are based on the H.323 standard.
 .
 According to Recommendation H.323, a gatekeeper shall provide the following
 services:
 .
  Address Translation
  Admissions Control
  Bandwidth Control
  Zone Management
  Call Control Signaling
  Call Authorization
  Bandwidth Management
  Call Management
 .
 The GNU Gatekeeper implements most of these functions based on the
 OpenH323 protocol stack.
