## gnugk 2.3.2-3

=== debian/changelog ===
gnugk (2:2.3.2-3-1) unstable; urgency=low

  * New upstream release

 -- Mark Purcell <msp@debian.org>  Sat, 03 Jul 2010 11:45:41 +1000

gnugk (2:2.3.2-2-1) unstable; urgency=low

  * New Upstream Release 
    - Fixes "[gnugk] FTBFS with binutils-gold" (Closes: #563809)

 -- Mark Purcell <msp@debian.org>  Sun, 27 Jun 2010 08:27:20 +1000
