=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>
 Uploaders: Kilian Krause <kilian@debian.org>, Mark Purcell <msp@debian.org>, Faidon Liambotis <paravoid@debian.org>
-Build-Depends: debhelper (>= 7.0.50~), cdbs, autoconf,
+Build-Depends: debhelper (>= 7.0.50~), autoconf,
  libh323plus-dev, libspeex-dev,
  libsdl1.2-dev,
  linuxdoc-tools,
