=== debian/rules ===
#!/usr/bin/make -f

FILENAME := $(PACKAGE)_$(UPVERSION).orig.tar.gz
URL := http://qa.debian.org/watch/sf.php/openh323gk/gnugk-$(UPVERSION).tar.gz

## pwlib_compat.h does not set this on OpenH323 >= 1.19 by mistake
export STDCCFLAGS+= -DhasSRV=1


export PREFIX=/usr/
export OPENH323DIR=/usr/share/openh323
export OPENH323MAKEDIR=/usr/share/openh323
export OH323_LIBDIR=/usr/lib
export PTLIB_CONFIG=/usr/bin/ptlib-config
export PTLIBDIR=$(shell /usr/bin/ptlib-config --ptlibdir)

%:
	dh $@ --parallel

-include /usr/share/gnome-pkg-tools/1/rules/sf-get-source.mk

override_dh_auto_configure:
	dh_auto_configure -- --with-pgsql-include-dir=`/usr/bin/pg_config --includedir` --disable-unixodbc

override_dh_auto_build:
	dh_auto_build -- opt addpasswd doc

override_dh_auto_test:
	obj*/gnugk -h > /dev/null

override_dh_installchangelogs:
	dh_installchangelogs changes.txt

override_dh_install_init:
	dh_install_init -- defaults 90 10

override_dh_installdocs:
	dh_installdocs -X.cvsignore

override_dh_auto_install:
	$(MAKE) install DESTDIR=$(CURDIR)/debian/gnugk INSTALL_DIR=$(CURDIR)/debian/gnugk/usr INSTALLBIN_DIR=$(CURDIR)/debian/gnugk/usr/sbin
	install --mode=640 --owner=root --group=root \
		etc/complete.ini $(CURDIR)/debian/gnugk/etc/gatekeeper.ini

override_dh_fixperms:
	dh_fixperms
	chmod -x debian/gnugk/usr/share/doc/gnugk/examples/odbc.ini
