=== debian/watch ===
version=3

http://sf.net/openh323gk/gnugk-([\d\.-]+)\.tar\.gz	debian	svn-upgrade
