## gnugk 2.3.5~dfsg

=== debian/changelog ===
gnugk (2:2.3.5~dfsg-1) unstable; urgency=low

  * New upstream release
   - DFSG repack due to configure.exe binary
  * Replace get-orig-source target with our own version instead of including
    pkg-gnome makefile sniplet to avoid warnings with dh targets.
  * Make sure to use autotools-dev
  * Update svn.d.o Vcs-Browser URL
  * Bump Standards-Version to 3.9.2 - no update required
  * Use at least correct GPL-2 location in debian/copyright. Needs more work
    still though.
  * Add doc-base registration

 -- Kilian Krause <kilian@debian.org>  Sat, 06 Aug 2011 22:40:40 +0200
