=== debian/control ===
--- 
+++ 
@@ -3,17 +3,17 @@
 Priority: optional
 Maintainer: Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>
 Uploaders: Kilian Krause <kilian@debian.org>, Mark Purcell <msp@debian.org>, Faidon Liambotis <paravoid@debian.org>
-Build-Depends: debhelper (>= 7.0.50~), autoconf,
+Build-Depends: debhelper (>= 7.0.50~), autotools-dev,
  libh323plus-dev, libspeex-dev,
  libsdl1.2-dev,
  linuxdoc-tools,
  libmysql++-dev, firebird2.5-dev [amd64 armel i386 ia64 powerpc sparc kfreebsd-amd64 kfreebsd-i386 mips mipsel s390],
  libsqlite3-dev,
  libldap2-dev, libpq-dev
-Standards-Version: 3.8.4
+Standards-Version: 3.9.2
 Homepage: http://www.gnugk.org/
 Vcs-Svn: svn://svn.debian.org/pkg-voip/gnugk/trunk/
-Vcs-Browser: http://svn.debian.org/wsvn/pkg-voip/gnugk/?op=log
+Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-voip/gnugk/trunk/
 
 Package: gnugk
 Architecture: any
