## gnugk 3.0-20111123%7edfsg

=== debian/changelog ===
gnugk (2:3.0-20111123~dfsg-1) unstable; urgency=low

  * New upstream release 
    - Fixes "gnugk segfaulting" (Closes: #644360)
  * Add Build-Depends: libssh-dev

 -- Mark Purcell <msp@debian.org>  Sat, 03 Dec 2011 13:34:54 +1100
