=== debian/control ===
--- 
+++ 
@@ -5,6 +5,7 @@
 Uploaders: Kilian Krause <kilian@debian.org>, Mark Purcell <msp@debian.org>, Faidon Liambotis <paravoid@debian.org>
 Build-Depends: debhelper (>= 7.0.50~), autotools-dev,
  libh323plus-dev, libspeex-dev,
+ libssh-dev,
  libsdl1.2-dev,
  linuxdoc-tools,
  libmysql++-dev, firebird2.5-dev [amd64 armel i386 ia64 powerpc sparc kfreebsd-amd64 kfreebsd-i386 mips mipsel s390],
