## gnugk 3.0.1

=== debian/changelog ===
gnugk (2:3.0.1-1) unstable; urgency=low

  * New upstream release
  * Build-Depends: libfirebird-dev
    - Fixes "Please build-depend on firebird-dev" (Closes: #653375)

 -- Mark Purcell <msp@debian.org>  Sat, 18 Feb 2012 15:23:12 +1100
