## gnugk 3.0.2

=== debian/changelog ===
gnugk (2:3.0.2-3ubuntu1) raring; urgency=low

  * Fix FTBFS in job.cxx, and rebuild against new ptlib (LP: #1059877)

 -- Adam Conrad <adconrad@ubuntu.com>  Wed, 31 Oct 2012 10:18:18 +0000

gnugk (2:3.0.2-3) unstable; urgency=medium

  * Actually apply the correct patch (Closes: #685969)
    - Fixes "CVE-2012-3534" - limit status port connections

 -- Mark Purcell <msp@debian.org>  Mon, 01 Oct 2012 12:55:55 +1000

gnugk (2:3.0.2-2) unstable; urgency=medium

  * Fix "CVE-2012-3534" Added gnugk-fix-cve-2012-3534.diff (Closes: #685969)
  * Urgency medium for RC bug

 -- Mark Purcell <msp@debian.org>  Sun, 30 Sep 2012 08:59:11 +1000

gnugk (2:3.0.2-1) unstable; urgency=low

  * New upstream release

 -- Mark Purcell <msp@debian.org>  Mon, 11 Jun 2012 10:11:53 +1000

gnugk (2:3.0.1-2) unstable; urgency=low

  * debian/rules: update PTLIB_CONFIG location 
  * Disable false positive dh_auto_test

 -- Mark Purcell <msp@debian.org>  Mon, 19 Mar 2012 16:01:09 +1100
