=== debian/control ===
--- 
+++ 
@@ -1,14 +1,15 @@
 Source: gnugk
 Section: comm
 Priority: optional
-Maintainer: Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>
 Uploaders: Kilian Krause <kilian@debian.org>, Mark Purcell <msp@debian.org>, Faidon Liambotis <paravoid@debian.org>
 Build-Depends: debhelper (>= 7.0.50~), autotools-dev,
  libh323plus-dev, libspeex-dev,
  libssh-dev,
  libsdl1.2-dev,
  linuxdoc-tools,
- libmysql++-dev, firebird2.5-dev [amd64 armel i386 ia64 powerpc sparc kfreebsd-amd64 kfreebsd-i386 mips mipsel s390],
+ libmysql++-dev, firebird-dev [amd64 armel i386 ia64 powerpc sparc kfreebsd-amd64 kfreebsd-i386 mips mipsel s390],
  libsqlite3-dev,
  libldap2-dev, libpq-dev
 Standards-Version: 3.9.2
