## gnugk 3.2-2

=== debian/changelog ===
gnugk (2:3.2-2-1) experimental; urgency=low

  * New upstream release 

 -- Mark Purcell <msp@debian.org>  Tue, 22 Jan 2013 14:33:04 +1100

gnugk (2:3.1-1) experimental; urgency=low

  * New upstream release
  * Drop gnugk-fix-cve-2012-3534.diff - included upstream

 -- Mark Purcell <msp@debian.org>  Fri, 02 Nov 2012 22:12:21 +1100
