## gnugk 3.3-4

=== debian/changelog ===
gnugk (2:3.3-4-1) unstable; urgency=low

  * New upstream release
  * Update debian/control - fix  vcs-field-not-canonical
  * Add spelling-error-in-binary.patch - usr/sbin/gnugk explict explicit

 -- Mark Purcell <msp@debian.org>  Sat, 25 May 2013 14:02:01 +1000

gnugk (2:3.2-2-2) unstable; urgency=low

  * Upload to unstable 
    - Fixes "FTBFS: job.cxx:88:2: error: 'PThreadIdentifer'" (Closes: #707353)

 -- Mark Purcell <msp@debian.org>  Sun, 12 May 2013 18:17:36 +1000
