=== debian/rules ===
--- 
+++ 
@@ -18,8 +18,8 @@
 export OPENH323DIR=/usr/share/openh323
 export OPENH323MAKEDIR=/usr/share/openh323
 export OH323_LIBDIR=/usr/lib
-export PTLIB_CONFIG=/usr/bin/ptlib-config
-export PTLIBDIR=$(shell [ -x /usr/bin/ptlib-config ]&&/usr/bin/ptlib-config --ptlibdir)
+export PTLIB_CONFIG=/usr/share/ptlib/make/ptlib-config
+export PTLIBDIR=$(shell [ -x /usr/share/ptlib/make/ptlib-config ]&& /usr/share/ptlib/make/ptlib-config --ptlibdir)
 
 %:
 	dh $@ --parallel --with autotools_dev
@@ -32,7 +32,7 @@
 	$(MAKE) -C addpasswd opt
 
 override_dh_auto_test:
-	obj*/gnugk -h > /dev/null
+#	#obj*/gnugk -h > /dev/null
 
 override_dh_installchangelogs:
 	dh_installchangelogs changes.txt
