## gnugk 3.4-2

=== debian/changelog ===
gnugk (2:3.4-2-1) unstable; urgency=low

  * New upstream release

 -- Mark Purcell <msp@debian.org>  Sat, 12 Oct 2013 11:13:00 +1100

gnugk (2:3.4-1) unstable; urgency=low

  * New upstream release

 -- Mark Purcell <msp@debian.org>  Sat, 28 Sep 2013 08:16:22 +1000
