=== debian/control ===
--- 
+++ 
@@ -11,9 +11,9 @@
  libmysql++-dev, firebird-dev [amd64 armel i386 ia64 powerpc sparc kfreebsd-amd64 kfreebsd-i386 mips mipsel s390],
  libsqlite3-dev,
  libldap2-dev, libpq-dev
-Standards-Version: 3.9.2
+Standards-Version: 3.9.4
 Homepage: http://www.gnugk.org/
-Vcs-Svn: svn://svn.debian.org/pkg-voip/gnugk/trunk/
+Vcs-Svn: svn://anonscm.debian.org/pkg-voip/gnugk/trunk/
 Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-voip/gnugk/trunk/
 
 Package: gnugk
