=== debian/changelog ===
gnugk (2:3.6-1build2) yakkety; urgency=medium

  * No-change rebuild for ptlib soname change.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 30 Apr 2016 16:08:35 +0000

gnugk (2:3.6-1build1) wily; urgency=medium

  * No-change rebuild against libh323-1.24.0v5

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 11 Aug 2015 20:53:25 +0000

gnugk (2:3.6-1) unstable; urgency=low

  * New upstream release
    - Fixes "Test your package against libssh 0.6.x" (Closes: #739492)
  * Fix "does not create pid file" patch from Naoto (Closes: #734676)
  * Update debian/init.d - init.d-script-does-not-source-init-functions
  * Refresh spelling-error-in-binary.patch

 -- Mark Purcell <msp@debian.org>  Sat, 31 May 2014 16:03:53 +1000
