=== debian/watch ===
version=3
opts=dversionmangle=s/\~dfsg// \
http://sf.net/openh323gk/gnugk-([\d\.-]+)\.tar\.gz	debian	svn-upgrade
